Update a merchant - WalletConnect Pay Docs

Update a merchant

cURL

curl --request PATCH \
  --url https://api.pay.walletconnect.com/v1/merchants/{merchantId} \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchantName": "<string>",
  "merchantEmail": "jsmith@example.com",
  "iconUrl": "https://example.com/new-logo.png"
}
'```

### Python

```python
import requests

url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}"

payload = {
    "merchantName": "<string>",
    "merchantEmail": "jsmith@example.com",
    "iconUrl": "https://example.com/new-logo.png"
}
h
headers = {
    "Api-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PATCH',
  headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    merchantName: '<string>',
    merchantEmail: 'jsmith@example.com',
    iconUrl: 'https://example.com/new-logo.png'
  })
};

fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response

200

Example

{
  "merchant": {
    "id": "mrch_7kBz2qR9xPvLmN4Yw",
    "name": "Acme Store v2",
    "email": "billing@acme.store",
    "status": "active",
    "iconUrl": "https://imagedelivery.net/example/acme-icon.png",
    "createdAt": "2025-06-15T10:30:00.000Z"
  }
}

Authorizations

Path Parameters

Body